Page MenuHomePhabricator

Fix Springer Nature EZProxy configuration for Scientific American
Closed, ResolvedPublicBUG REPORT

Description

When browsing Nature journals via proxy (https://www-nature-com.wikipedialibrary.idm.oclc.org/siteindex), the link to Scientific American redirects to https://www.scientificamerican.com/page/institutional-access/ rather than a correct proxied URL.

We need to expand the Nature Publishing EZProxy group (https://github.com/WikipediaLibrary/twlight_ezproxy/blob/master/expert/ezproxy.cfg#L718) to include this URL pattern.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2020, 10:35 PM
Samwalton9 renamed this task from Scientific American links are not correctly proxied to Fix Springer Nature EZProxy configuration for Scientific American.Sep 18 2020, 8:39 AM
Samwalton9 triaged this task as High priority.
Samwalton9 updated the task description. (Show Details)
Restricted Application added a subscriber: Sadads. · View Herald TranscriptSep 18 2020, 8:39 AM
jsn.sherman added a subscriber: jsn.sherman.

This should be resolved. Please verify.

Samwalton9 added a subscriber: Samwalton9.

This looks to be working but we don't appear to actually be authorized to access Scientific American. Checking this with Springer Nature later today.

Samwalton9 closed this task as Resolved.Dec 14 2020, 10:22 AM
Samwalton9 claimed this task.

Resolved for now - we don't have access to Scientific American.